import sqlite3

class LFSSExceptionBase(Exception):...

class FileLockedError(LFSSExceptionBase):...

class InvalidOptionsError(LFSSExceptionBase, ValueError):...

class DatabaseLockedError(LFSSExceptionBase, sqlite3.DatabaseError):...

class PathNotFoundError(LFSSExceptionBase, FileNotFoundError):...

class FileDuplicateError(LFSSExceptionBase, FileExistsError):...

class PermissionDeniedError(LFSSExceptionBase, PermissionError):...

class InvalidPathError(LFSSExceptionBase, ValueError):...

class StorageExceededError(LFSSExceptionBase):...

class TooManyItemsError(LFSSExceptionBase):...